Subject: Re: [RFC net-next 21/22] selftests: drv-net: add helper/wrapper for bpftrace

From: Breno Leitao <[email-masked]>
Date: Wed, 25 Jun 2025 05:23:54 -0700

On Mon, Apr 21, 2025 at 03:28:26PM -0700, Jakub Kicinski wrote:
> bpftrace is very useful for low level driver testing. perf or trace-cmd
> would also do for collecting data from tracepoints, but they require
> much more post-processing.
> 
> Add a wrapper for running bpftrace and sanitizing its output.
> bpftrace has JSON output, which is great, but it prints loose objects
> and in a slightly inconvenient format. We have to read the objects
> line by line, and while at it return them indexed by the map name.
> 
> Signed-off-by: Jakub Kicinski <[email-masked]>

FYI: I've stolen this patch and send as part of my netpoll test patchset:

https://lore.kernel.org/all/[email-masked]/